Re: [PATCH 2/2] Replace remaining git-* calls in git stash

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



On Wed, Jul 22, 2009 at 03:35:01PM -0700, Junio C Hamano wrote:
> Nanako Shiraishi <nanako3@xxxxxxxxxxx> writes:
> 
> > Quoting Martin Koegler <mkoegler@xxxxxxxxxxxxxxxxx>:
> >
> >> Signed-off-by: Martin Koegler <mkoegler@xxxxxxxxxxxxxxxxx>
> >> ---
> >
> > Thank you. Even though 'git blame' says I am not responsible for these two (I AM responsible for the one in your other patch)...
> >
> > Acked-by: Nanako Shiraishi <nanako3@xxxxxxxxxxx>

I got an error from the mailing list for my reworked patch, so I sent
it again as attachment.

>From 03fa7d2f6c558b22747f21a76c21adad522e0a5d Mon Sep 17 00:00:00 2001
From: Martin Koegler <mkoegler@xxxxxxxxxxxxxxxxx>
Date: Tue, 21 Jul 2009 21:57:27 +0200
Subject: [PATCH] git stash: replace git-XXX calls
Status: O
Content-Length: 1056
Lines: 40

Replace remaining git-XXX calls with git XXX.

Signed-off-by: Martin Koegler <mkoegler@xxxxxxxxxxxxxxxxx>
---
 git-stash.sh |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/git-stash.sh b/git-stash.sh
index 531c7c3..03e589f 100755
--- a/git-stash.sh
+++ b/git-stash.sh
@@ -203,7 +203,7 @@ apply_stash () {
 		git diff-tree --binary $s^2^..$s^2 | git apply --cached
 		test $? -ne 0 &&
 			die 'Conflicts in index. Try without --index.'
-		unstashed_index_tree=$(git-write-tree) ||
+		unstashed_index_tree=$(git write-tree) ||
 			die 'Could not save index tree'
 		git reset
 	fi
@@ -219,7 +219,7 @@ apply_stash () {
 	then
 		export GIT_MERGE_VERBOSITY=0
 	fi
-	if git-merge-recursive $b_tree -- $c_tree $w_tree
+	if git merge-recursive $b_tree -- $c_tree $w_tree
 	then
 		# No conflict
 		if test -n "$unstashed_index_tree"
@@ -297,7 +297,7 @@ apply_to_branch () {
 	fi
 	stash=$2
 
-	git-checkout -b $branch $stash^ &&
+	git checkout -b $branch $stash^ &&
 	apply_stash --index $stash &&
 	drop_stash $stash
 }
-- 
1.5.6.5


[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]